FeatureDrawingAttributes.FCIChoice (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class FeatureDrawingAttributes.FCIChoice

    java.lang.Object
      com.bbn.openmap.layer.vpf.FeatureDrawingAttributes.FCIChoice

Enclosing class:
  FeatureDrawingAttributes

    public class FeatureDrawingAttributes.FCIChoice

extends java.lang.Object

Field Summary
`protected java.lang.String` | `attribute`
`protected int` | `column`
`protected java.lang.String` | `description`

Constructor Summary
`FeatureDrawingAttributes.FCIChoice(java.lang.String att, java.lang.String desc, int col)`

Method Summary
`java.lang.String` | `getAttribute()`
`int` | `getColumn()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### attribute

    protected java.lang.String attribute

### description

    protected java.lang.String description

### column

    protected int column

Constructor Detail

### FeatureDrawingAttributes.FCIChoice

    public FeatureDrawingAttributes.FCIChoice(java.lang.String att,
                                              java.lang.String desc,
                                              int col)

Method Detail

### getAttribute

    public java.lang.String getAttribute()

### getDescription

    public java.lang.String getDescription()

### getColumn

    public int getColumn()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details